# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Class Service.ClientOutputProperties

    java.lang.Object
      com.google.gdata.client.Service.ClientStreamProperties
          com.google.gdata.client.Service.ClientOutputProperties

All Implemented Interfaces:
  com.google.gdata.wireformats.output.OutputProperties, com.google.gdata.wireformats.StreamProperties

Enclosing class:
  Service

    public class Service.ClientOutputProperties

extends Service.ClientStreamProperties
implements com.google.gdata.wireformats.output.OutputProperties

The ClientOutputProperties class is an adaptor class that implements the `OutputProperties` interface for content to be written to the target service based upon its attributes and a `Service.GDataRequest`.

Field Summary
`protected ContentType` `requestType`

Fields inherited from class com.google.gdata.client.Service.ClientStreamProperties
`queryMap, req`

Constructor Summary
`Service.ClientOutputProperties(ContentType requestType, java.lang.Object source)`
`Service.ClientOutputProperties(Service.GDataRequest req, java.lang.Object source)`

Method Summary
`java.lang.String` `getCallback()`
`ContentType` `getContentType()` Returns the MIME content type of data on the stream.
`com.google.gdata.model.ElementMetadata<?,?>` `getRootMetadata()` Returns the `ElementMetadata` for the root object that is being read from or written to the stream.

Methods inherited from class com.google.gdata.client.Service.ClientStreamProperties
`getAltFormat, getAltRegistry, getExtensionProfile, getGDataRequest, getMetadataContext, getParameterMap, getQueryParameter, getQueryParameterNames, getRequestVersion, isPartial`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.wireformats.StreamProperties
`getAltRegistry, getExtensionProfile, getQueryParameter, getQueryParameterNames`

Field Detail

### requestType

    protected final ContentType requestType

Constructor Detail

### Service.ClientOutputProperties

    public Service.ClientOutputProperties(Service.GDataRequest req,
                                          java.lang.Object source)

### Service.ClientOutputProperties

    public Service.ClientOutputProperties(ContentType requestType,
                                          java.lang.Object source)

Method Detail

### getContentType

    public ContentType getContentType()

  Description copied from interface: `com.google.gdata.wireformats.StreamProperties`
  Returns the MIME content type of data on the stream.

  Specified by:
    `getContentType` in interface `com.google.gdata.wireformats.StreamProperties`
  Returns:
    data content type

### getRootMetadata

    public com.google.gdata.model.ElementMetadata<?,?> getRootMetadata()

  Description copied from interface: `com.google.gdata.wireformats.StreamProperties`
  Returns the `ElementMetadata` for the root object that is being read from or written to the stream. This metadata will already be bound to the appropriate `MetadataContext` for the currently executing request.

  Specified by:
    `getRootMetadata` in interface `com.google.gdata.wireformats.StreamProperties`

### getCallback

    public java.lang.String getCallback()